﻿<%@ WebHandler Language="C#" Class="Generate" %>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using DHTMLX.Export.PDF;
using System.Web.Configuration;


public class Generate : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {           
            PagesSection pageSection = new PagesSection();
            pageSection.ValidateRequest = false;
            var generator = new SchedulerPDFWriter();
            var xml = context.Server.UrlDecode(context.Request.Form["mycoolxmlbody"]);

            context.Response.ContentType = "application/pdf";
            context.Response.HeaderEncoding = Encoding.UTF8;
            context.Response.AppendHeader("Content-Disposition", "attachment;filename=scheduler.pdf");
            context.Response.AppendHeader("Cache-Control", "max-age=0");
            
            var stream = generator.Generate(xml);

            stream.WriteTo(context.Response.OutputStream);
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
